/* Siconos is a program dedicated to modeling, simulation and control
 * of non smooth dynamical systems.
 *
 * Copyright 2024 INRIA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef BulletUtils_hpp
#define BulletUtils_hpp

#include "BulletSiconosFwd.hpp"
#include <BulletCollision/NarrowPhaseCollision/btManifoldPoint.h>
#include <BulletCollision/CollisionDispatch/btCollisionObject.h>
#include <btBulletCollisionCommon.h>

void display_info_collision_object(const btCollisionObject* collisionObject);
void display_info_manifold(const btPersistentManifold& manifold);
void display_info_contact_point(const btManifoldPoint& cp);
void display_info_btConvexHullShape(const btConvexHullShape& cp);

#endif
